Subject: bug#46878: 27.1; lisp-outline-level returns imprecise level number

From: Juri Linkov <[email-masked]>
Date: Wed, 03 Mar 2021 21:04:18 +0200

>> I use outline-minor-mode extensively in lisp-mode,
>> so after trying your version I'd say that while
>> the change of the level definition can be surprising
>> to someone, but to me your version makes more sense than
>> the current level definition.
>
> Thanks.  I use outline-minor-mode a bit, mostly via outline-cycle.

bug#45147 implemented new modes for Org-like TAB cycling in outline-minor-mode.

> When you say the change can be surprising, what do you mean? Does something
> show the level number? AFAIK levels are just treated in relation to each
> other and the number isn't shown to the user.  My change I think just means
> levels 1-4 were previously unused and are now used.

Some packages like https://jurta.org/en/emacs/ee/outline
showed all 4 useless additional levels.

Now thanks to your new definition, all such visual noise is removed:

- (no-heading)
 - (no-heading)
  - (no-heading)
   - (no-heading)

and only one top heading is displayed:

- (no-heading)
   ;;; ee-outline.el --- manipulate outlines collected from outline-mode
   ;;; Commentary:
 - ;;; Code: